#!/bin/bash

echo "===== 시스템 정보 조사 시작 ====="

# OS 정보 출력
echo "OS 정보:"
uname -a

# CPU 정보 출력
echo "CPU 정보:"
sysctl -n machdep.cpu.brand_string

# GPU 정보 출력
echo "GPU 정보:"
system_profiler SPDisplaysDataType | grep "Chipset Model"

# Python 버전 확인
echo "Python 버전:"
python3 --version

# Conda 버전 확인 (설치되어 있는 경우에만 출력)
if command -v conda &> /dev/null
then
    echo "Conda 버전:"
    conda --version
else
    echo "Conda가 설치되어 있지 않습니다."
fi

echo "===== 시스템 정보 조사 완료 ====="
